#
# spec file for package perl-String-CRC32
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name String-CRC32
Name:           perl-String-CRC32
Version:        2.100
Release:        1.19
Summary:        Perl interface for cyclic redundancy check generation
License:        SUSE-Public-Domain
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEEJO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The *CRC32* module calculates CRC sums of 32 bit lengths as integers. It
generates the same CRC values as ZMODEM, PKZIP, PICCHECK and many others.

Despite its name, this module is able to compute the checksum of files as
well as strings.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
* Fri Feb  5 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.100
  see /usr/share/doc/packages/perl-String-CRC32/Changes
  2.100     2021-02-04
  - Declare vars with our instead of use vars (GH #7, thanks to Grinnz)
  - Quote $VERSION to preserve formatting (GH #6, thanks to Grinnz)
* Tue Nov 10 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2
  see /usr/share/doc/packages/perl-String-CRC32/Changes
  2.000     2020-11-09
  - Switch to XSLoader rather than DynaLoader (GH #5, thanks to atoomic)
* Mon Nov  4 2019 <timueller+perl@suse.de>
- updated to 1.8
  see /usr/share/doc/packages/perl-String-CRC32/Changes
  1.800     2019-11-01
  - Perldoc tweaks, GH #3, thanks to mattias-p
* Sat Jul  7 2018 coolo@suse.com
- updated to 1.7
  see /usr/share/doc/packages/perl-String-CRC32/Changes
* Tue Jun 27 2017 coolo@suse.com
- updated to 1.6
  see /usr/share/doc/packages/perl-String-CRC32/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.5
  see /usr/share/doc/packages/perl-String-CRC32/
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Sep 12 2006 jfunk@funktronics.ca
- Initial release
